package com.ruoyi.system.mapper.zb;


import com.ruoyi.system.domain.zb.ZbWorkRange;
import com.ruoyi.system.domain.zb.ZbWorkRangeExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ZbWorkRangeMapper {
    long countByExample(ZbWorkRangeExample example);

    int deleteByExample(ZbWorkRangeExample example);

    int deleteByPrimaryKey(String id);

    int insert(ZbWorkRange record);

    int insertSelective(ZbWorkRange record);

    List<ZbWorkRange> selectByExample(ZbWorkRangeExample example);

    ZbWorkRange selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") ZbWorkRange record, @Param("example") ZbWorkRangeExample example);

    int updateByExample(@Param("record") ZbWorkRange record, @Param("example") ZbWorkRangeExample example);

    int updateByPrimaryKeySelective(ZbWorkRange record);

    int updateByPrimaryKey(ZbWorkRange record);
}